Package com.avaya.clientservices.collaboration.contentsharing

## Interface ContentSharingRenderer.RendererPrivateListener

- Enclosing class:
    ContentSharingRenderer<T extends android.view.View & ZoomableSharingView>

      public static interface ContentSharingRenderer.RendererPrivateListener

  Represents private listener on content sharing session events.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onChangeCursorPosition​(int x, int y)` | Notifies that cursor position changed in current content sharing session.
    `void` | `onContentSharingEnded()` | Notifies that content sharing session is ended.
    `void` | `onContentSharingPaused​(boolean paused)` | Notifies that current content sharing session is paused.
    `void` | `onContentSharingStarted()` | Notifies that content sharing session is started.
    `void` | `onNewBitmapImage​(android.graphics.Bitmap bitmap)` | Notifies that a new `Bitmap` image is delivered to the renderer.

- - ### Method Detail

    - #### onContentSharingStarted

          void onContentSharingStarted()

      Notifies that content sharing session is started.

    - #### onContentSharingEnded

          void onContentSharingEnded()

      Notifies that content sharing session is ended.

    - #### onNewBitmapImage

          void onNewBitmapImage​(android.graphics.Bitmap bitmap)

      Notifies that a new `Bitmap` image is delivered to the renderer.
      Parameters:
        `bitmap` - image.

    - #### onChangeCursorPosition

          void onChangeCursorPosition​(int x,
                                      int y)

      Notifies that cursor position changed in current content sharing session.
      Parameters:
        `x` - coordinate of cursor.
        `y` - coordinate of cursor.

    - #### onContentSharingPaused

          void onContentSharingPaused​(boolean paused)

      Notifies that current content sharing session is paused.
      Parameters:
        `paused` - value which indicates is content sharing session paused.